Skip to content
Start here

List jobs

client.R2.SuperSlurper.Jobs.List(ctx, params) (*SinglePage[SuperSlurperJobListResponse], error)
GET/accounts/{account_id}/slurper/jobs

Lists all R2 Super Slurper migration jobs for the account with their status.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params SuperSlurperJobListParams
AccountID param.Field[string]Optional

Path param

Limit param.Field[int64]Optional

Query param

maximum50
Offset param.Field[int64]Optional

Query param

ReturnsExpand Collapse
type SuperSlurperJobListResponse struct{…}
ID stringOptional
CreatedAt stringOptional
FinishedAt stringOptional
Overwrite boolOptional
Source SuperSlurperJobListResponseSourceOptional
One of the following:
type SuperSlurperJobListResponseSourceS3SourceResponseSchema struct{…}
Bucket stringOptional
Endpoint stringOptional
Keys []stringOptional
PathPrefix stringOptional
Vendor SuperSlurperJobListResponseSourceS3SourceResponseSchemaVendorOptional
type SuperSlurperJobListResponseSourceGcsSourceResponseSchema struct{…}
Bucket stringOptional
Keys []stringOptional
PathPrefix stringOptional
Vendor SuperSlurperJobListResponseSourceGcsSourceResponseSchemaVendorOptional
type SuperSlurperJobListResponseSourceR2SourceResponseSchema struct{…}
Bucket stringOptional
Jurisdiction SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdictionOptional
One of the following:
const SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdictionDefault SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdiction = "default"
const SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdictionEu SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdiction = "eu"
const SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdictionFedramp SuperSlurperJobListResponseSourceR2SourceResponseSchemaJurisdiction = "fedramp"
Keys []stringOptional
PathPrefix stringOptional
Vendor ProviderOptional
Status SuperSlurperJobListResponseStatusOptional
One of the following:
const SuperSlurperJobListResponseStatusRunning SuperSlurperJobListResponseStatus = "running"
const SuperSlurperJobListResponseStatusPaused SuperSlurperJobListResponseStatus = "paused"
const SuperSlurperJobListResponseStatusAborted SuperSlurperJobListResponseStatus = "aborted"
const SuperSlurperJobListResponseStatusCompleted SuperSlurperJobListResponseStatus = "completed"
Target SuperSlurperJobListResponseTargetOptional
Bucket stringOptional
Jurisdiction SuperSlurperJobListResponseTargetJurisdictionOptional
One of the following:
const SuperSlurperJobListResponseTargetJurisdictionDefault SuperSlurperJobListResponseTargetJurisdiction = "default"
const SuperSlurperJobListResponseTargetJurisdictionEu SuperSlurperJobListResponseTargetJurisdiction = "eu"
const SuperSlurperJobListResponseTargetJurisdictionFedramp SuperSlurperJobListResponseTargetJurisdiction = "fedramp"
Vendor ProviderOptional

List jobs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/r2"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.R2.SuperSlurper.Jobs.List(context.TODO(), r2.SuperSlurperJobListParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "finishedAt": "finishedAt",
      "overwrite": true,
      "source": {
        "bucket": "bucket",
        "endpoint": "endpoint",
        "keys": [
          "string"
        ],
        "pathPrefix": "pathPrefix",
        "vendor": "s3"
      },
      "status": "running",
      "target": {
        "bucket": "bucket",
        "jurisdiction": "default",
        "vendor": "r2"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "finishedAt": "finishedAt",
      "overwrite": true,
      "source": {
        "bucket": "bucket",
        "endpoint": "endpoint",
        "keys": [
          "string"
        ],
        "pathPrefix": "pathPrefix",
        "vendor": "s3"
      },
      "status": "running",
      "target": {
        "bucket": "bucket",
        "jurisdiction": "default",
        "vendor": "r2"
      }
    }
  ],
  "success": true
}